CHGRP(1)

NIMI
chgrp - change group ownership

YLEISKATSAUS
chgrp [VALITSIN]... RYHMÄ TIEDOSTO...
chgrp [VALITSIN]... --reference=VTIED TIEDOSTO...

KUVAUS

Muuta kunkin TIEDOSTOn ryhmäksi RYHMÄ. Jos valitsin --reference on annettu, vaihda kunkin TIEDOSTOn omistajaksi ja ryhmäksi samat kuin VTIEDostolla.

-c, --changes
    kuten monisanaisuus, mutta ilmoita vain tehdyt muutokset

-f, --silent, --quiet
    vaienna useimmat virheilmoitukset

-v, --verbose
    näytä ilmoitus jokaisesta käsitellystä tiedostosta

--dereference
    vaikuttaa kunkin symbolisen linkin viitearvoon (tämä on oletus), eikä itse symbolista linkkiä

-h, --no-dereference
    vaikuttaa symbolisiin yhteyksiin viitattujen tiedostojen sijaan (käyttökelpoinen vain järjestelmissä, joissa symlinkin omistajuutta voi muuttaa)

--no-preserve-root
    älä kohtele juurta (”/”) erityisesti (oletus)

--preserve-root
    estä rekursiivinen toiminta juuressa (”/”)

--reference=VTIED
    käytä VTIEDoston ryhmää RYHMÄ-arvon antamisen sijaan

-R, --recursive
    käsittele tiedostot ja hakemistot rekursiivisesti

Seuraavat valitsimet määräävät, miten hakemistorakennetta käydään läpi, jos valitsin -R on annettu. Jos useampi kuin yksi seuraavista on annettu, vain viimeinen on voimassa.

-H  jos komentoriviargumentti on symbolinen linkki hakemistoon, seuraa sitä

-L  seuraa jokaista hakemistoon osoittavaa symbolista linkkiä

-P  älä seuraa symbolisia linkkejä (oletus)

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

ESIMERKKEJÄ

chgrp hlokunta /u
    Vaihda /u:n ryhmäksi ”hlokunta”.

chgrp -hR hlokunta /u
    Vaihda /u:n ja alitiedostojen ryhmäksi ”hlokunta”.

TEKIJÄ
Kirjoittaneet David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
chown(1), chown(2)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/chgrp>
tai saatavilla paikallisesti: info '(coreutils) chgrp invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Samuli Sorvakko <galaxy@cedunet.com>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.